valueattributetranslator.hh File Reference
`#include <mia/core/attributes.hh>`
`#include <mia/3d/vector.hh>`
`#include <mia/3d/defines3d.hh>`
Include dependency graph for valueattributetranslator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DValueAttribute< T >
| a 3D vector value used in attributes More...
class | C3DValueAttributeTranslator< T >
| a translater for 3D vectors to and from a std::string More...

## Typedefs

typedef C3DValueAttribute< int > | C3DIntAttribute
| a 3D integer vector
typedef C3DValueAttributeTranslator< int > | C3DIntAttributeTranslator
| attribute translator for a 3D integer vector
typedef C3DValueAttribute< float > | CVoxelAttribute
| a 3D floating point vector used for the voxel size attribute
typedef C3DValueAttributeTranslator< float > | CVoxelAttributeTranslator
| attribute translator for a 3D floating point vector used for the voxel size